/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.bean.api;

import com.google.gson.annotations.SerializedName;

import kr.co.zumo.app.lifeplus.bean.JsonBeanBase;

/**
 * FAQBean
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 10. 1.]   [최초 작성]
 * @since 2018. 10. 1.
 */
public class FAQBean extends JsonBeanBase {
  /*
  {
      "id": 8,
      "cate": "기타",
      "faq_title": "제목",
      "faq_contents": "기타내용",
      "reg_dt": "2018-09-28"
  }
  id	FAQ 아이디
  cate	구분
  faq_title	FAQ 제목
  faq_contents	FAQ 내용
  reg_dt	작성일자
   */

  @SerializedName("id")
  private int id;
  @SerializedName("cate")
  private String category;
  @SerializedName("faq_title")
  private String title;
  @SerializedName("faq_contents")
  private String contents;
  @SerializedName("reg_dt")
  private String date;  // "yyyy-mm-dd"

  private boolean isExpanded;

  public FAQBean() {
  }

  public FAQBean(int id, String category, String title, String contents, String date) {
    this.id = id;
    this.category = category;
    this.title = title;
    this.contents = contents;
    this.date = date;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getCategory() {
    return category;
  }

  public void setCategory(String category) {
    this.category = category;
  }

  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }

  public String getContents() {
    return contents;
  }

  public void setContents(String contents) {
    this.contents = contents;
  }

  public String getDate() {
    return date;
  }

  public void setDate(String date) {
    this.date = date;
  }

  public boolean isExpanded() {
    return isExpanded;
  }

  public void setExpanded(boolean expanded) {
    isExpanded = expanded;
  }
}
